Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSceneABT Class Reference

`#include <deScene_priv.hpp>`

Inheritance diagram for deSceneABT:

[legend]
Collaboration diagram for deSceneABT:

[legend]
List of all members.

## Public Member Functions
| deSceneABT ()
IdeSceneObject::interface_t | GetSOIType ()
void * | GetSOInterface (IdeSceneObject::interface_t i)
deBoolean | DeSerializeLoad ()
deBoolean | AddGeometry (IdeMesh *pMesh, const deTransformInfo &pos)
## Public Attributes
| WorldObjectClassDef
## Protected Member Functions
virtual | ~deSceneABT ()
## Private Member Functions
long | TraverseForRender (IdeSceneGraph::deSceneTraversal *Params)
deBoolean | TestRoomCollision (const IdeCollision::deCollideParams &Params, IdeCollision *Collision)
## Private Attributes
dePolyABT | m_ABT
deBoolean | m_Compiled

## Constructor & Destructor Documentation

deSceneABT::~deSceneABT | ( |  | ) | `[protected, virtual]`

deSceneABT::deSceneABT | ( |  | ) |

## Member Function Documentation

deBoolean deSceneABT::AddGeometry | ( | IdeMesh * | pMesh,
|  | const deTransformInfo & | pos
| ) | `[virtual]`

| Implements IdeSceneABT.

deBoolean deSceneABT::DeSerializeLoad | ( |  | ) | `[virtual]`

| Call after all objects in a world have been loaded, to allow pointers to be correctly resolved from World and Object ID's Reimplemented from deSceneObject.

void* deSceneABT::GetSOInterface | ( | IdeSceneObject::interface_t | i | ) | `[virtual]`

| Reimplemented from deSceneObject.

IdeSceneObject::interface_t deSceneABT::GetSOIType | ( |  | ) | `[virtual]`

| Reimplemented from deSceneObject.

deBoolean deSceneABT::TestRoomCollision | ( | const IdeCollision::deCollideParams & | Params,
|  | IdeCollision * | Collision
| ) | `[private]`

long deSceneABT::TraverseForRender | ( | IdeSceneGraph::deSceneTraversal * | Params | ) | `[private, virtual]`

| Implements deSceneObject.

## Member Data Documentation

dePolyABT deSceneABT::m_ABT`[private]`

deBoolean deSceneABT::m_Compiled`[private]`

deSceneABT::WorldObjectClassDef

The documentation for this class was generated from the following files:

- deScene_priv.hpp
- deSceneNode.cpp